Skip to content
View Markdown

Move to exact destination

POST/v1/disks/{disk}/move
POST
/v1/disks/{disk}/move
curl --request POST \
--url https://api.wabe.sh/v1/disks/demo/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "from": "/notes.txt", "to": "/archive/notes.txt" }'
disk
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

demo

Project disk name, or the disk ID in the actor runtime disk URL.

branch
string
commit
string format: uuid
label
string
Media typeapplication/json
object
from
required
string
to
required
string

Example

{
"from": "/notes.txt",
"to": "/archive/notes.txt"
}

Entry moved.

Invalid input.

Media typetext/plain
string

Missing, invalid or revoked project API key, or an invalid runtime access token.

Media typeapplication/json
object
error
required
string
message
required
string

Actor runtime token does not authorize this disk or instance generation.

Media typeapplication/json
object
error
required
string
message
required
string

Object was not found.

Media typetext/plain
string

Conflict, nonempty destination or referenced object.

Media typetext/plain
string

Storage, I/O or corruption failure.

Media typetext/plain
string

Disk unavailable.

Media typeapplication/json
object
error
required
string
message
required
string